#pragma once

#include "ActorInterface.h"
#include "WASCommand.h"
#include "WASActor.h"

class CWASListBuddyGroup : public CWASCommand
{
public:
	CWASListBuddyGroup(CWASActor *pActor);
	~CWASListBuddyGroup(void);

	void ExecuteAsync(void);

private:
	bool ParseAndEventFire(nfc::CIkXMLDom * pDom);

protected:
	// override in drived class
	virtual void OnWasResponse(trid_t /*trid*/, bool /*bSuccess*/, int /*nWinINetErrorCode*/, int /*nHttpResponseCode*/, 
		LPCSTR /*szWasResCodeInHeader*/, 
		LPCSTR /*szWasResCodeInXml*/,
		nfc::CIkXMLDom * /*pDom*/);

	virtual void OnRequestTimeout(CHttpFacade * /*pHttpF*/, DWORD /*dwSeconds*/);

private:

	int m_nDefaultGroupID;

	p_buddygrouplist_t m_listGroupPrivate;
	buddygrouplist_t m_listGroup;
};
